//
//  Emitter.hpp
//  emptyExample
//
//  Created by Sebastian Holzki on 17.04.19.
//

#pragma once
#include <stdio.h>
#include "ofMain.h"


class Emitter {
    
    
public:
    
    Emitter();
    ~Emitter();
    
    
    void setEmitterPosition(ofVec2f _position);
    ofVec2f getEmitterPosition();
    
    int getEmitterX();
    int getEmitterY();
    

private:
    
    bool emitting;
    void emitParticles(ofVec2f _positionOfEmission, bool _emitting);
    
    ofVec2f direction;
    ofVec2f position;
    
    
};
